function p_queue = TRI_CY_p_queue_method(patients,TB, model, combine_time)
% TRI_p_queue_method - output a U-SORT queue for schedule patient in OR
% Triage Room.
% Call:
%      prob_list = [0.05; 0.6; 0.35];
%      patients = TRI_CY_arrivals(2,24,prob_list,1,1,1);
%      TB = [0,3; 3,12; 12,24];
%      p_queue = TRI_CY_p_queue_method(patients,TB,"min_delay", 6);
%      p_queue = TRI_CY_p_queue_method(patients,TB,"fairness", 6);
% 
p_queue.first = 0;
p_queue.last = 0;
p_queue.queue = [];

[num_patients,~] = size(patients);
for k = 1:num_patients
    p_queue = TRI_CY_insert_p_queue(p_queue,k,patients,TB, model, combine_time);
end


