function EMR = TRI_CY_p_queue_to_EMR(patients, p_queue, TB)
% p_queue_to_EMR - Transfer patient queue to EMR
% Call:
%      prob_list = [0.05; 0.6; 0.35];
%      patients = TRI_CY_arrivals(2,24,prob_list,1,1,1);
%      TB = [0,3; 3,12; 12,24];
%      p_queue = TRI_p_queue_method(patients,TB);
%      EMR_U_SORT = TRI_p_queue_to_EMR(patients, p_queue, TB);

k_patient = p_queue.first;
[patient_number,~] = size(patients);
EMR = zeros(patient_number, 7);
for n = 1:patient_number

    EMR(n, 1) = patients(k_patient, 1);
    EMR(n, 2) = patients(k_patient, 2);
    EMR(n, 3) = patients(k_patient, 3);
    EMR(n, 4) = p_queue.queue(k_patient, 1);
    EMR(n, 5) = p_queue.queue(k_patient, 1) + patients(k_patient, 3);
    if EMR(n, 4) < EMR(n, 1) + TB(EMR(n, 2), 1)
        EMR(n, 6) = -1;
    elseif EMR(n, 4) > EMR(n, 1) + TB(EMR(n, 2), 1)...
        && EMR(n, 4) < EMR(n, 1) + TB(EMR(n, 2), 2)
        EMR(n, 6) = 0;
    else
        EMR(n, 6) = 1;
    end

    EMR(n, 7) = 0;

    k_patient = p_queue.queue(k_patient, 4);

end
