function TRI_Method_figure(SIM)

% Figure 1 will fix T = 24, d_mu = 1, d_var = 0
Figure_1 = SIM(SIM(:, 2) == 24 & SIM(:, 3) == 1 & SIM(:,4) == 0, :);
figure_1_lambda = Figure_1(:, 1);
U_SORT_delay_per_1 = Figure_1(:, 5);
FCFS_delay_per_1 = Figure_1(:, 6);

figure;
plot(figure_1_lambda, U_SORT_delay_per_1);
hold on
plot(figure_1_lambda, FCFS_delay_per_1);
xlabel('Lambda','FontSize', 14);
ylabel('Percentage of delayed patients to total patients', 'FontSize', 14);
title('Comparison of Delayed Patients: U-SORT vs FCFS Method for 1 day, mean of surgery duration = 1, and the variance of surgery duration = 0');
set(gcf, 'Position', [100, 100, 600, 500]); 
